/*
    Systembubble Styles v0.2.0
    Copyright 2025 The SystemBubble Team
    All rights reserved.
*/

/**,
*::before,
*::after {
    outline: 1px solid rgba(255,0,0,.3) !important;
}*/

/*
    Services
*/

.logo-fit {
    display: block;
    width: auto;
    height: 30px;
}

/*
    Hero
*/
.hero {
    display: block;
}

.hero__container {
    display: grid;
    align-items: center;
    width: 100%;
    height: 100%;
    margin-inline: auto;
    padding-inline: 4rem;
}


.hero__content {
    max-width: 100%;
}

.hero__title {
    margin: 0;
    color: #fff;
    font-size: clamp(2.5rem, 6vw, 4.75rem);
    font-weight: 800;
    line-height: 1.05;
}

.hero__subtitle {
    margin-block: 1rem 2.5rem;
    color: rgb(255 255 255 / .9);
    font-size: 1.7rem;
}

@media (max-width: 991.98px) {

    .landing-hero {
        /*min-height: 100svh;*/
        /*min-height: 700px;*/
        background-position: right center;
    }

    .hero__container {
        padding-inline: 2rem;
    }

    .hero__subtitle {
        font-size: 1.35rem;
    }
}


/*
    Components
*/

.app-header .header-search .search-input {
    background: hsl(240 8% 5%);
    border-color: hsl(240 8% 5%);
}

.text-truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.btn-reserve {
    background-color: hsl(40 100% 60%) !important;
    color: hsl(0 0% 0%) !important;
    border-color: hsl(40 100% 60%) !important;
}

    .btn-reserve:hover {
        background-color: hsl(40 100% 63%) !important;
        border-color: hsl(40 100% 70%) !important;
    }

.btn-lg,
.btn-group-lg > .btn {
    --bs-btn-padding-y: 1rem;
    --bs-btn-padding-x: 1.75rem;
    --bs-btn-font-size: 1.15rem;
    --bs-btn-border-radius: .6rem;
}

.sb-sticky {
    position: sticky;
    top: 150px;
}

@media (min-width: 768px) {

    .w-md-70 {
        width: 70% !important;
    }
}

.sb-nav__label {
    padding: 0.2rem 0.2rem !important;
    font-size: 1.2rem !important;
    font-weight: bold !important;
}

.btn.btn-active-danger.sb-btn-active-danger:focus:not(.btn-active), .btn.btn-active-danger.sb-btn-active-danger:hover:not(.btn-active), .btn.btn-active-danger.sb-btn-active-danger:active:not(.btn-active), .btn.btn-active-danger.sb-btn-active-danger.active, .btn.btn-active-danger.sb-btn-active-danger.show, .show > .btn.btn-active-danger.sb-btn-active-danger {
    color: var(--bs-danger-inverse);
    border-color: var(--sb-rose-500);
    background-color: var(--sb-rose-500) !important;
}

@media (min-width: 768px) {
    .sb-nav__label {
        padding: 1rem 1rem !important;
        font-size: 1.7rem !important;
        font-weight: bold !important;
    }
}

/*
    Pricing
*/
.sb-color-teal-700 {
    color: var(--sb-teal-700) !important;
}

/*
    Utilities
*/
.sb-hidden {
    display: none !important;
}

.sb-text-uppercase {
    text-transform: uppercase !important;
}

.sb-tabs {
    gap: 0.5rem;
}

    .sb-tabs .nav-link {
        border-radius: 9999px;
        padding: 0.75rem 1.5rem;
        font-size: 0.85rem;
        font-weight: 700;
        text-transform: uppercase;
        color: var(--sb-gray-500);
        background-color: transparent;
        border: none;
        transition: all .15s ease;
    }

        .sb-tabs .nav-link:hover {
            color: var(--sb-gray-700);
        }

        .sb-tabs .nav-link.active {
            color: white !important;
            background-color: var(--sb-purple-500) !important;
        }

/*
    Booking Section
*/

[data-kt-app-header-fixed-mobile=true] .app-wrapper.sb-app-wrapper {
    /* margin-top: var(--bs-app-header-height); */
    margin-top: 0 !important;
}

@media (min-width: 992px) {
    [data-kt-app-header-sticky=on] .app-wrapper.sb-app-wrapper {
        /* margin-top: var(--bs-app-header-height); */
        margin-top: 0 !important;
    }
}

[data-sb-booking-app-wrapper] {
    scroll-margin-top: var(--bs-app-header-height);
}

@media (max-width: 991.98px) {
    [data-sb-booking-app-wrapper] {
        scroll-margin-top: var(--bs-app-header-height);
    }
}